Bug 839419 - /usr/bin conflict between jboss-as-7.1.1-4 and filesystem-3.1-1
/usr/bin conflict between jboss-as-7.1.1-4 and filesystem-3.1-1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jboss-as (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-11 18:21 EDT by John Himpel
Modified: 2012-08-06 19:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-25 05:43:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Himpel 2012-07-11 18:21:27 EDT
Description of problem: When attempting to install jboss-as-7.1.1-4.fc18.noarch from rawhide, the yum transaction checked yields a file conflict on /usr/bin with the package filesyste-3.1-2.fc18.x86_64


Version-Release number of selected component (if applicable): See Description of problem


How reproducible:yum install or yum update (if jboss-as already installed)


Steps to Reproduce:
1.Activate the Rawhide yum repository
2.yum install jboss-as
3.
  
Actual results:
Transaction Check Error:
file /usr/bin from install of jboss-as-7.1.1-4.fc18.noarch conflicts with file from package filesystem-3.1-1.fc18.x86_64


Expected results:Successful install/update of jboss-as package


Additional info:
Comment 1 Marek Goldmann 2012-07-12 07:00:41 EDT
I created a scratch build with possible fix, could you please retest it before I push it to the repo? Thanks in advance!

http://koji.fedoraproject.org/koji/taskinfo?taskID=4236034
Comment 2 John Himpel 2012-07-12 08:35:44 EDT
Mark,

Using yum localinstall jboss*, it installs fine.  Sorry that I don't have time to test it now ($dayjob).

You can close the ticket.

Thanks for the prompt response
Comment 3 Marek Goldmann 2012-07-12 08:49:10 EDT
Thanks John for testing, proper update will be submitted to Fedora once I fix some other issues.
Comment 4 Marek Goldmann 2012-07-25 05:43:48 EDT
Fixed upstream, will be available with 7.1.1-5 update.

https://github.com/fedora-jboss-as/jboss-as-rpm/commit/f1b42b187a8a28d01af7a781fb7dffc67533b269
Comment 5 Fedora Update System 2012-08-02 04:15:27 EDT
jboss-as-7.1.1-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-as-7.1.1-6.fc17
Comment 6 Fedora Update System 2012-08-05 17:29:35 EDT
jboss-as-7.1.1-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 John Himpel 2012-08-06 19:19:27 EDT
Works fine for me.  Thx.

Note You need to log in before you can comment on or make changes to this bug.